# Interface IOmniboxDataRow

The content that external code that wants to populate the omnibox need to populate.

## Index

### Properties

- deferred
- element
- zIndex

## Properties

### Optional deferred

deferred: Promise<IOmniboxDataRow>

- Defined in ui/Omnibox/OmniboxInterface.ts :89

This is a Promise object. It is used when you want to make an asynchronous call (most likely an Ajax request) to a service in order to retrieve the data that you will use to build your HTML content.

### Optional element

element: HTMLElement

- Defined in ui/Omnibox/OmniboxInterface.ts :85

This an `HTMLElement` that you want the Omnibox to render.

It can be any valid HTML element (div, span, image, table, etc.). You can bind any event you want to this element and also add logic to handle the Omnibox (e.g. should the Omnibox close itself when clicking on your suggestion, should the Omnibox clear itself?).

This element you provide can be as complex as you want it to be (see Providing Suggestions for the Omnibox).

### Optional zIndex

zIndex: number

- Defined in ui/Omnibox/OmniboxInterface.ts :77

This is an optional property. It is used by each component to influence their rendering order in the Omnibox. It works like a normal CSS `zIndex`: higher value will render at the top most level. Providing no `zIndex` will make your item render with a low priority.

### Hierarchy

- IOmniboxDataRow